This is a migrated thread and some comments may be shown as answers.

Parameter not valid for RadChart?

9 Answers 48 Views
Chart (Obsolete)
This is a migrated thread and some comments may be shown as answers.
cwk
Top achievements
Rank 2
cwk asked on 22 Sep 2012, 12:01 AM
Hi, after upgrading to the latest version 2012.2.918.40, Radchart on my designer shows Parameter is not valid for Radchart.
When executing the problem, it throws Unable to cast object of type 'Telerik.Charting.ChartXAxis' to type 'Telerik.Charting.ChartYAxis'.

Used to work well before...

Any advice appreciated. Thanks!

Regards
cwk

9 Answers, 1 is accepted

Sort by
0
Nikolay
Telerik team
answered on 26 Sep 2012, 08:44 AM
Hi cwk,

Could you, please, share more details on your scenario as we haven't been able to reproduce this issue in our local tests. Does it only occur using the LIB version 2012.2.918 and not in the official Q2 SP2 ( version 2012.2.912 )? Could you also download our latest LIB - 2012.2.925 and see if the issue is present as well. If it is it would be very helpful for us if you're able to open a support ticket and send us a sample application, which reproduces it, so that our developers could debug it and identify the cause.

All the best,
Nikolay
the Telerik team
If you want to get updates on new releases, tips and tricks and sneak peeks at our product labs directly from the developers working on the RadControls for ASP.NET AJAX, subscribe to their blog feed now.
0
Aaron
Top achievements
Rank 1
answered on 27 Sep 2012, 12:41 AM
It's also happened to me. I try to upgrade the version from 2012.2.724.40 become 2012.2.925.40. I used the download folder as reference. But I did not happen when I upgrade to version 2012.2.724.40.
0
cwk
Top achievements
Rank 2
answered on 27 Sep 2012, 01:41 AM
Hi, I was very anxious over the weekend as I need to deploy an enhancement on monday so I took a mass effort to change all the radcharts to htmlcharts. As such I currently not using radchart in my project .  Thanks for the response.
0
Nikolay
Telerik team
answered on 01 Oct 2012, 11:01 AM
Hello,

We have been able to identify the cause for this error and the fix will be available with this week's LIB release.

Greetings,
Nikolay
the Telerik team
If you want to get updates on new releases, tips and tricks and sneak peeks at our product labs directly from the developers working on the RadControls for ASP.NET AJAX, subscribe to their blog feed now.
0
theBoss
Top achievements
Rank 2
answered on 14 Nov 2012, 09:55 AM
Im having the same problem! just as soon as I add the silerlight chart on the page I get the enumerator error
please help
0
Nikolay
Telerik team
answered on 16 Nov 2012, 07:16 AM
Hi,

The fix for this issue is available with our official 2012 Q3 release. Please, download it and give it a try.

Greetings,
Nikolay
the Telerik team
If you want to get updates on new releases, tips and tricks and sneak peeks at our product labs directly from the developers working on the RadControls for ASP.NET AJAX, subscribe to their blog feed now.
0
theBoss
Top achievements
Rank 2
answered on 16 Nov 2012, 09:53 AM
Hi
I already tried to download the Q3, installed correctly and the application updated itself but still the error comes up
Regards
E
0
Nikolay
Telerik team
answered on 20 Nov 2012, 08:10 AM
Hello Earl,

Could you, please, verify the version of the controls you are using, on our side this version : Telerik.Web.UI_2012_3_1016 works as expected and the issue no longer reproduces. You may also try downloading the Service Pack 1 and give it a try too.

In case the issue persists, it would be very helpful if you could open a support ticket and send us a sample application, which reproduces the issue with these versions, so that we could debug it locally.

Regards,
Nikolay
the Telerik team
If you want to get updates on new releases, tips and tricks and sneak peeks at our product labs directly from the developers working on the RadControls for ASP.NET AJAX, subscribe to their blog feed now.
0
theBoss
Top achievements
Rank 2
answered on 20 Nov 2012, 08:14 AM
Hi Nikolay
due to the urgency of the matter, I had to install framework 4.5 and now it works perfectly
thanks
Earl
Tags
Chart (Obsolete)
Asked by
cwk
Top achievements
Rank 2
Answers by
Nikolay
Telerik team
Aaron
Top achievements
Rank 1
cwk
Top achievements
Rank 2
theBoss
Top achievements
Rank 2
Share this question
or